Bug 429459 - Sound should be turned off on locked screens
Sound should be turned off on locked screens
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 11:33 EST by Uno Engborg
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2008-01-20 11:33:50 EST
Description of problem:

When users lock their screens they often do so, to prevent other people to peek
at or destroy their data when they are temporarily away. However, sound may
still be a security risk. There is the risk that the locked screen makes noises
that annoys the people around it, There is the risk that sound may reveal
sensitive information, There is the risk that sound is recorded.
The current behavior is a potential security risk.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run some sound application and lock screen
2. 
3.
  
Actual results:
Hear the sound still playing

Expected results:
The sound and recording should be muted
Comment 1 Ray Strode [halfline] 2008-01-22 09:41:24 EST
Jon, what are your thoughts on this?
Comment 2 jmccann 2008-01-22 23:03:28 EST
Some thoughts here:
http://bugzilla.gnome.org/show_bug.cgi?id=347426#c8
Comment 3 Uno Engborg 2008-05-25 09:38:03 EDT
(In reply to comment #2)
> Some thoughts here:
> http://bugzilla.gnome.org/show_bug.cgi?id=347426#c8
> 

That mostly covers sound output. However, what worries me most is sound input.
I.e. a locked computer used as a bugging device

Comment 4 Bug Zapper 2008-11-26 04:29:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:49:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Uno Engborg 2009-05-17 14:47:01 EDT
This bug, still exists in Fedora 10

Note You need to log in before you can comment on or make changes to this bug.